# Retrieve a list of journey activation templates of specified step

Retrieve a list of journey activation templates of specified step.

Endpoint: POST /entities/journeys/{journeyId}/activation_templates_for_step
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `journeyId` (integer, required)
    Journey ID

## Query parameters:

  - `stepId` (string)

## Request fields (application/vnd.treasuredata.v1+json):

  - `id` (string, required)

  - `type` (string, required)
    Enum: "journey"

  - `attributes` (object, required)

  - `attributes.audienceId` (string, required)

  - `attributes.name` (string, required)

  - `attributes.description` (string,null, required)

  - `attributes.state` (string, required)
    Enum: "draft", "simulation", "launched"

  - `attributes.goal` (object,null, required)

  - `attributes.goal.name` (string, required)

  - `attributes.goal.description` (string)

  - `attributes.goal.segmentId` (string, required)

  - `attributes.goal.target` (object)

  - `attributes.goal.target.journeyId` (string, required)

  - `attributes.goal.target.journeyStageId` (string, required)

  - `attributes.goal.target.journeyBundleId` (string,null)

  - `attributes.goal.target.stageOrderIndex` (integer,null)

  - `attributes.goal.target.jumpReferenceId` (string,null)
    The reference id of the jump target. This is used to identify the jump entity in the included field.

  - `attributes.createdAt` (string, required)

  - `attributes.updatedAt` (string, required)

  - `attributes.journeyStages` (array, required)

  - `attributes.journeyStages.id` (string)

  - `attributes.journeyStages.name` (string, required)

  - `attributes.journeyStages.description` (string)

  - `attributes.journeyStages.steps` (object,null)

  - `attributes.journeyStages.steps.uuid` (any) — one of:
    - JourneyActivationStep:
      - `type` (any, required)
        Enum: "Activation"
      - `name` (string, required)
      - `journeyActivationStepId` (string, required)
      - `next` (string)
    - JourneyDecisionPointStep:
      - `type` (any, required)
        Enum: "DecisionPoint"
      - `name` (string, required)
      - `branches` (array, required)
      - `branches.name` (string, required)
      - `branches.segmentId` (string, required)
      - `branches.excludedPath` (boolean)
      - `branches.next` (string)
    - JourneyMergeStep:
      - `type` (any, required)
        Enum: "Merge"
      - `name` (string)
      - `next` (string)
    - JourneyJumpStep:
      - `type` (any, required)
        Enum: "Jump"
      - `name` (string, required)
      - `target` (object, required)
    - JourneyEndStep:
      - `type` (any)
        Enum: "End"
      - `name` (string)
    - JourneyAbTestStep:
      - `type` (any, required)
        Enum: "AbTest"
      - `name` (string, required)
      - `customizedSplit` (boolean, required)
      - `uniqueId` (string)
      - `variants` (array, required)
      - `variants.id` (string, required)
      - `variants.name` (string, required)
      - `variants.percentage` (number, required)
      - `variants.next` (string)

  - `attributes.journeyStages.rootStep` (string)

  - `attributes.journeyStages.entryCriteria` (object,null)

  - `attributes.journeyStages.milestone` (object,null)

  - `attributes.journeyStages.exitCriterias` (array)

  - `attributes.paused` (boolean, required)

  - `attributes.pausedAt` (string,null, required)

  - `attributes.allowReentry` (boolean, required)

  - `attributes.reentryMode` (string)
    Enum: "no_reentry", "reentry_unless_goal_achieved", "reentry_always"

  - `attributes.journeyBundleId` (string,null)

  - `attributes.journeyBundleName` (string,null)

  - `attributes.versionNumber` (integer)

  - `attributes.journeyBundleDescription` (string,null)

  - `attributes.latestExecution` (object,null)
    The most recent execution of the journey workflow. If no executions have been created, this will be null.

  - `attributes.latestExecution.workflowId` (string, required)

  - `attributes.latestExecution.workflowSessionId` (string, required)

  - `attributes.latestExecution.createdAt` (string, required)

  - `attributes.latestExecution.finishedAt` (string,null, required)

  - `attributes.latestExecution.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `attributes.latestExecution.workflowAttemptId` (string, required)

  - `relationships` (object, required)

  - `relationships.parentFolder` (object)

  - `relationships.parentFolder.data` (object)

  - `relationships.parentFolder.data.id` (string, required)

  - `relationships.parentFolder.data.type` (string, required)
    Enum: "folder-segment"

  - `relationships.createdBy` (object)

  - `relationships.createdBy.data` (object,null)

  - `relationships.createdBy.data.id` (string, required)

  - `relationships.createdBy.data.type` (string, required)
    Enum: "user"

  - `relationships.updatedBy` (object)

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string)

  - `data.type` (string)
    Enum: "activation-template"

  - `data.attributes` (object)

  - `data.attributes.audienceId` (string, required)

  - `data.attributes.name` (string, required)

  - `data.attributes.description` (string,null, required)

  - `data.attributes.kind` (integer)
    0: batch, 1: batch_journey

  - `data.attributes.allColumns` (boolean)
    activation all column flag  ('true' means that you use all attribute data)

  - `data.attributes.columns` (any) — one of:
    - Columns:
      - `id` (string)
      - `column` (string, required)
      - `source` (any, required) — one of:
        - ColumnExpression:
          - `column` (string, required)
          - `customerGroup` (string,null)
          - `functions` (array,null) — one of:
            - variant 1:
              - `function` (string, required)
                Enum: "+", "-", "*", "/"
              - `arg` (number)
            - variant 2:
              - `function` (string, required)
                Enum: "replace"
              - `search` (string)
              - `replacement` (string,null)
            - variant 3:
              - `function` (string, required)
                Enum: "substr"
              - `start` (number)
              - `length` (number)
            - variant 4:
              - `function` (string, required)
                Enum: "regexp_extract"
              - `pattern` (string)
              - `group` (number)
            - variant 5:
              - `function` (string, required)
                Enum: "day_of_week", "from_iso8601_timestamp", "ln", "elapsed_days", "td_ip_to_least_specific_subdivision_name", "td_ip_to_country_name", "td_ip_to_city_name", "td_ip_to_connection_type", "td_ip_to_domain"
            - variant 6:
              - `function` (string, required)
                Enum: "cast_as_quantitative"
              - `default` (number, required)
            - variant 7:
              - `function` (string, required)
                Enum: "cast_as_categorical"
              - `default` (string, required)
            - variant 8:
              - `function` (string, required)
                Enum: "cast_as_categorical_array"
            - variant 9:
              - `function` (string, required)
                Enum: "if"
              - `op` (string)
                Enum: ">", "<", "<=", ">=", "=", "!=", "is", "is\\", "not"
              - `right_value` (number,null)
              - `then` (number)
              - `else` (number)
        - StringExpression:
          - `string` (string, required)
          - `parameters` (array) — one of:
            Values for the placeholders ($1, $2, $3, ...) in the string
            - variant 1:
              - `type` (string)
                Enum: "String"
              - `string` (string)
            - variant 2:
              - `type` (string)
                Enum: "Timestamp"
              - `format` (string)
            - variant 3:
              - `type` (string)
                Enum: "SegmentName", "SegmentId", "AudienceId", "FunnelName", "StageName"
    - NullValue:
      - `thisKeyNeverHit` (string)

  - `data.attributes.scheduleOption` (string,null)

  - `data.attributes.timezone` (string,null)

  - `data.attributes.startAt` (string,null)
    cdp-api will fill some value for old syndications with ScheduleType is not NoneType. '%Y-%M-%DT%h:%m:%s' is expected.

  - `data.attributes.endOn` (string,null)

  - `data.attributes.repeatUnit` (string)
    Setting an activation repetition cycle such as "day" or "week".
    Enum: "none", "minute", "hour", "day", "week", "month", "once"

  - `data.attributes.repeatFrequency` (integer)
    Setting an activation repeat frequency.
Currently, it is set only when the repeat unit is "minute". If the repeat unit is "minute", the interval is set in minutes.

  - `data.attributes.repeatSubFrequency` (array)
    Parameter for more detailed frequency settings. Values are array of integers.
Currently, this parameter is only valid for repeat unit "week".
For multiple days of the week, each value should be 1 to 7.
1: Monday, 2: Tuesday, 3: Wednesday, 4: Thursday, 5: Friday, 6: Saturday, 7: Sunday
    Example: [1,5,6]

  - `data.attributes.connectionId` (string,null)

  - `data.attributes.connectorConfig` (object,null)

  - `data.attributes.notifyOn` (array)
    Enum: "onSuccess", "onFailure"

  - `data.attributes.emailRecipients` (array)

  - `data.attributes.createdAt` (string, required)

  - `data.attributes.updatedAt` (string, required)

  - `data.attributes.state` (string)
    Enum: "draft", "published"

  - `data.attributes.nestedWorkflowProjectName` (string,null)

  - `data.attributes.nestedWorkflowName` (string,null)

  - `data.attributes.activationActionsEnabled` (boolean)

  - `data.attributes.lockEnabled` (boolean)

  - `data.attributes.runAfterJourneyRefresh` (boolean,null)
    If true, this activation step will be executed immediately after the journey is refreshed. Only available for kind of journey.

  - `data.attributes.syndicationBehavior` (object,null)

  - `data.attributes.syndicationBehavior.columns` (array)
    Syndication column detail. Basic syntax is {"column": "alias_name", "source": {...}}. source accepts various definitions. See ColumnExpression/StringExpression for details. example value is using ColumnExpression without function property.
    Example: [{"column":"alias_name","source":{"column":"real_column_name"}}]

  - `data.attributes.syndicationBehavior.columns.id` (string)

  - `data.attributes.syndicationBehavior.columns.column` (string, required)

  - `data.attributes.syndicationBehavior.columns.source` (any, required) — one of:
    - ColumnExpression:
      - `column` (string, required)
      - `customerGroup` (string,null)
      - `functions` (array,null) — one of:
        - variant 1:
          - `function` (string, required)
            Enum: same as `function` in "variant 1" (4 values)
          - `arg` (number)
        - variant 2:
          - `function` (string, required)
            Enum: same as `function` in "variant 2" (1 values)
          - `search` (string)
          - `replacement` (string,null)
        - variant 3:
          - `function` (string, required)
            Enum: same as `function` in "variant 3" (1 values)
          - `start` (number)
          - `length` (number)
        - variant 4:
          - `function` (string, required)
            Enum: same as `function` in "variant 4" (1 values)
          - `pattern` (string)
          - `group` (number)
        - variant 5:
          - `function` (string, required)
            Enum: same as `function` in "variant 5" (9 values)
        - variant 6:
          - `function` (string, required)
            Enum: same as `function` in "variant 6" (1 values)
          - `default` (number, required)
        - variant 7:
          - `function` (string, required)
            Enum: same as `function` in "variant 7" (1 values)
          - `default` (string, required)
        - variant 8:
          - `function` (string, required)
            Enum: same as `function` in "variant 8" (1 values)
        - variant 9:
          - `function` (string, required)
            Enum: same as `function` in "variant 9" (1 values)
          - `op` (string)
            Enum: same as `op` in "variant 9" (9 values)
          - `right_value` (number,null)
          - `then` (number)
          - `else` (number)
    - StringExpression:
      - `string` (string, required)
      - `parameters` (array) — one of:
        Values for the placeholders ($1, $2, $3, ...) in the string
        - variant 1:
          - `type` (string)
            Enum: same as `type` in "variant 1" (1 values)
          - `string` (string)
        - variant 2:
          - `type` (string)
            Enum: same as `type` in "variant 2" (1 values)
          - `format` (string)
        - variant 3:
          - `type` (string)
            Enum: same as `type` in "variant 3" (5 values)

  - `data.attributes.syndicationBehavior.behaviorTableName` (string)
    Behavior table name which contains behavior records
    Example: "purchase_history"

  - `data.attributes.syndicationBehavior.joinRow` (integer,null)
    How much rows would be joined (value is N for Top-N join)
    Example: 3

  - `data.attributes.syndicationBehavior.joinStrategy` (string)
    Enum: "All", "First", "Last", "Top-N"

  - `data.attributes.syndicationBehavior.formatting` (string)
    Enum: "rows", "cols"

  - `data.attributes.syndicationBehavior.orderBy` (array)
    Example: [{"key":"purchased_at","order":"descending"},{"key":"price","order":"ascending"}]

  - `data.attributes.syndicationBehavior.orderBy.key` (string)
    Example: "purchased_at"

  - `data.attributes.syndicationBehavior.orderBy.order` (string)
    Enum: "ascending", "descending"

  - `data.attributes.fieldProperties` (object)
    activation template field properties

  - `data.attributes.fieldProperties.locked` (object, required)
    activation template field properties locked

  - `data.attributes.fieldProperties.locked.allColumns` (boolean)

  - `data.attributes.fieldProperties.locked.columns` (object)
    Example: {"b24bf298-4f8c-4e8a-8187-38f2efc781d9":{"column":true,"source":true,"lockDeleteColumn":false},"c97c5711-31dd-4563-aca9-795c0b429593":{"column":true,"source":true,"lockDeleteColumn":false}}

  - `data.attributes.fieldProperties.locked.connectionId` (boolean)

  - `data.attributes.fieldProperties.locked.connectorConfig` (object,null)
    Example: {"userDatabaseName":true,"userTableName":true,"legacy":false,"mode":false}

  - `data.attributes.fieldProperties.locked.activationActionsEnabled` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior` (object,null)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.tableName` (string)
    Behavior table name which contains behavior records
    Example: "purchase_history"

  - `data.attributes.fieldProperties.locked.syndicationBehavior.columns` (object)
    Example: {"0ae6e876-9d9d-4217-8be2-f8646000d0c2":{"column":true,"source":true,"lockDeleteColumn":false},"b71d422e-4f29-47d5-b072-7e598275a402":{"column":true,"source":true,"lockDeleteColumn":false}}

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockAddColumn` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockDeleteBehaviorTable` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockEditBehaviorTable` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockEditJoinRow` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockEditJoinStrategy` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockEditFormatting` (boolean)

  - `data.attributes.fieldProperties.locked.syndicationBehavior.lockEditOrderBy` (boolean)

  - `data.attributes.fieldProperties.locked.lockAddColumn` (boolean)

  - `data.attributes.fieldProperties.locked.lockAddString` (boolean)

  - `data.attributes.fieldProperties.locked.lockAddBehavior` (boolean)

  - `data.attributes.fieldProperties.locked.lockEditSchedule` (boolean)

  - `data.attributes.fieldProperties.locked.lockEditNotification` (boolean)

  - `data.attributes.fieldProperties.locked.lockEditWorkflowExecution` (boolean)

  - `data.attributes.fieldProperties.locked.lockEditSequentialActivation` (boolean)

  - `data.attributes.activationCount` (integer)
    Number of related activations

  - `data.attributes.available` (boolean)
    This template is available or not (It contains PBP PII BLOCKED columns or not)

  - `data.attributes.availableBySegment` (boolean)
    This template is available by the segment or not (It return only with availableBySegmentId parameter)

  - `data.attributes.availableByStep` (boolean)
    This template is available by the step or not (It is returned only when /entities/journeys/{journeyId}/activation_templates_for_step is called)

  - `data.attributes.scheduleType` (string)
    Deprecated. Old parameter for setting schedule type. See/Use RepeatUnit instead.
    Enum: "cron", "daily", "hourly", "minutes_interval", "monthly", "none", "weekly"

  - `data.relationships` (object)

  - `data.relationships.parentFolder` (object)

  - `data.relationships.createdBy` (object)

  - `data.relationships.updatedBy` (object)

  - `included` (array, required)

  - `included.id` (string, required)

  - `included.type` (string, required)
    Enum: same as `relationships.createdBy.data.type` (1 values)

  - `included.attributes` (object, required)

  - `included.attributes.tdUserId` (string, required)

  - `included.attributes.name` (string, required)


